#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAF,0x28,0xA4,0xDC,0x64,0x52,0xD4,0x21,0xC4,0xC9,0x9D,0x92,
		0x8A,0x93,0xA0,0x4A,0x1A,0xDB,0x12,0xE8,0x73,0x8E,0x37,0xAC,
		0xCF,0x83,0xFA,0xB0,0x29,0x1A,0x3E,0x4B,0x21,0xE2,0x15,0x6A,
		0x62,0x82,0x56,0x84,0xF8,0xB1,0xC9,0x17,0x52,0x5D,0xA5,0x4B,
		0xFF,0xAF,0x66,0x6B,0xED,0x26,0xC9,0x12,0xEA,0x0E,0x88,0x03,
		0xC1,0xBC,0x80,0x33,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
